Subject: Re: Payment for repair
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Mon, 13 Jan 2020 11:49:30 -0700 (MST)

customer paid on weekends, our accounting department is not available on weekends, this might be the reason. Let observe this till tomorrow...In case it still not reflecting, please let me know. 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Monday, January 13, 2020 11:08:57 PM 
Subject: Payment for repair 

Hello, I recently shipped my scooter back for repair and already paid the invoice, but never got a email saying it’s being shipped back at my address. Did they received the payment? It’s Return Authorization #RA154812 
The customer has paid on the 11th of Jan, I checked I cannot find that it has been deposited. Could you please help?